Yate: XmlComment Class Reference

Yate

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
XmlComment Class Reference

Xml Comment. More...

`#include <yatexml.h>`

Inheritance diagram for XmlComment:

## Public Member Functions
| XmlComment (const String &comm)
| XmlComment (const XmlComment &orig)
virtual | ~XmlComment ()
const String & | getComment () const
void | toString (String &dump, const String &indent=String::empty()) const
virtual XmlComment * | xmlComment ()
Public Member Functions inherited from XmlChild
| XmlChild ()
virtual void | setParent (XmlParent *parent)
virtual XmlElement * | xmlElement ()
virtual XmlCData * | xmlCData ()
virtual XmlText * | xmlText ()
virtual XmlDeclaration * | xmlDeclaration ()
virtual XmlDoctype * | xmlDoctype ()
virtual void | replaceParams (const NamedList &params)
Public Member Functions inherited from GenObject
| GenObject ()
virtual | ~GenObject ()
virtual bool | alive () const
virtual void | destruct ()
virtual const String & | toString () const
virtual const String & | traceId () const
virtual void * | getObject (const String &name) const
NamedCounter * | getObjCounter () const
NamedCounter * | setObjCounter (NamedCounter *counter)

## Additional Inherited Members
Static Public Member Functions inherited from GenObject
static void * | getObject (const String &name, const GenObject *obj)
static bool | getObjCounting ()
static void | setObjCounting (bool enable)
static NamedCounter * | getObjCounter (const String &name, bool create=true)
static ObjList & | getObjCounters ()

## Detailed Description

Xml Comment.

A Xml Comment from Xml document

## Constructor & Destructor Documentation

XmlComment | ( | const String & | comm | ) |

Constructor

Parameters

  comm | The comment content

XmlComment | ( | const XmlComment & | orig | ) |

Copy constructor

Parameters

  orig | Original XmlComment

virtual ~XmlComment | ( |  | ) |
| virtual

Destructor

## Member Function Documentation

const String& getComment | ( |  | ) | const
| inline

Get the text contained by this comment

Returns
  The comment

void toString | ( | String & | dump,
|  | const String & | indent = `String::empty()`
| ) |  | const

Build a String from this XmlComment

Parameters

  dump | The string where to append representation
  indent | Spaces for output

virtual XmlComment* xmlComment | ( |  | ) |
| inlinevirtual

Get the Xml comment

Returns
  This object

Reimplemented from XmlChild.

The documentation for this class was generated from the following file:

- yatexml.h